aboutsummaryrefslogtreecommitdiffstats
path: root/package/block-extroot/files/60_pivot_usb_root
diff options
context:
space:
mode:
authorFelix Fietkau <nbd@openwrt.org>2010-02-26 22:46:10 +0000
committerFelix Fietkau <nbd@openwrt.org>2010-02-26 22:46:10 +0000
commitddf22a9a5112939fbc67473ee6431f19af8811ad (patch)
tree3ad67390f54afb3c49c662e0df68041834f6abd9 /package/block-extroot/files/60_pivot_usb_root
parent2de472e0f15fc3daf1669d302ecb78ecc5f643c5 (diff)
downloadmaster-187ad058-ddf22a9a5112939fbc67473ee6431f19af8811ad.tar.gz
master-187ad058-ddf22a9a5112939fbc67473ee6431f19af8811ad.tar.bz2
master-187ad058-ddf22a9a5112939fbc67473ee6431f19af8811ad.zip
add block-extroot, a package for using an external filesystem as rootfs (patch by cshore)
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@19880 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/block-extroot/files/60_pivot_usb_root')
-rw-r--r--package/block-extroot/files/60_pivot_usb_root20
1 files changed, 20 insertions, 0 deletions
diff --git a/package/block-extroot/files/60_pivot_usb_root b/package/block-extroot/files/60_pivot_usb_root
new file mode 100644
index 0000000000..c8572a35fd
--- /dev/null
+++ b/package/block-extroot/files/60_pivot_usb_root
@@ -0,0 +1,20 @@
+#!/bin/sh
+# Copyright (C) 2010 Vertical Communications
+
+# This is free software, licensed under the GNU General Public License v2.
+# See /LICENSE for more information.
+
+# Determine if we are requested to mount external root
+
+external_root_pivot() {
+ check_skip || [ "$pi_extroot_mount_success" != "true" ] || {
+ echo "switching to external rootfs"
+ if [ "$ER_IS_SQUASHFS" = "true" ]; then
+ umount /jffs
+ fi
+ mount -o remount,ro / && fopivot /overlay /rom && pi_mount_skip_next=true
+ }
+}
+
+boot_hook_add preinit_mount_root external_root_pivot
+